package main;

import persistence.GenericCSVDAO;
import persistence.category.CSVCategoryPersistenceAdapter;
import persistence.category.CategoryEntity;
import tag.TagName;

import java.io.File;

public class Main {

	public static void main(String[] args) {
		TagName test = new TagName("ds");

		var csvCategoryPersistenceAdapter =
				new CSVCategoryPersistenceAdapter(new GenericCSVDAO<CategoryEntity>(new File("dsa"),
				                                                                    CategoryEntity::new));

		System.out.println(test);
	}
}
